[arch-commits] Commit in sdl_perl/trunk (PKGBUILD)

Eric Bélanger eric at archlinux.org
Wed Jan 20 03:40:43 EST 2010


    Date: Wednesday, January 20, 2010 @ 03:40:43
  Author: eric
Revision: 64426

upgpkg: sdl_perl 2.2.6-3
    Rebuilt for libpng 1.4 and libjpeg 8

Modified:
  sdl_perl/trunk/PKGBUILD

----------+
 PKGBUILD |   12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2010-01-20 08:18:40 UTC (rev 64425)
+++ PKGBUILD	2010-01-20 08:40:43 UTC (rev 64426)
@@ -5,7 +5,7 @@
 pkgname=sdl_perl
 _realname=SDL_Perl
 pkgver=2.2.6
-pkgrel=2
+pkgrel=3
 pkgdesc="A Perl wrapper for SDL"
 arch=('i686' 'x86_64')
 license=('LGPL')
@@ -18,10 +18,10 @@
 md5sums=('445950ca7b9991f34ec792bbac8386b6')
 
 build() {
-  cd ${srcdir}/${_realname}-v${pkgver}
+  cd "${srcdir}/${_realname}-v${pkgver}"
   # install module in vendor directories
-  perl Build.PL installdirs=vendor destdir=${pkgdir} \
-                --config man1ext=1p --config man3ext=3pm
-  perl Build
-  perl Build install
+  perl Build.PL installdirs=vendor destdir="${pkgdir}" \
+                --config man1ext=1p --config man3ext=3pm || return 1
+  perl Build || return 1
+  perl Build install || return 1
 }



More information about the arch-commits mailing list